part of gitlab_dart;

abstract class BaseUser {
  // Created for Projects, may have to extend or
  // rename later;
  int ID;
  String username;
  String name;
  String avatarURL;
  String webURL;

  BaseUser({this.ID, this.username, this.avatarURL, this.webURL, this.name});
}

class ProjectUser extends BaseUser {
  ProjectUser(
      {int ID, String username, String avatarURL, String webURL, String name})
      : super(
            ID: ID,
            username: username,
            avatarURL: avatarURL,
            webURL: webURL,
            name: name);

  ProjectUser.fromJSON(Map<String, dynamic> data)
      : super(
            ID: data['id'],
            username: data['username'],
            name: data['name'],
            avatarURL: data['avatar_url'],
            webURL: data['web_url']);
}
