import 'package:gitlab_dart/gitlab_dart.dart';

mixin ProjectAPIMixin on BaseAPI {
  Future<Project> getProjectByID(int id, [simple = true]) async {
    try {
      var url = "/projects/$id/";
      var data = await this.mapFromGet(url, params: {"simple": true});
      print(data);
      return Project.fromJSON(data, true);
    } catch (e) {
      print("$e");
      throw (e);
    }
  }
}
